Have you checked out our latest Apparel Collection with our partners at 08Left?
close

Milviz Drops FSX and P3Dv1-v4.3 Support

Milviz Drops FSX And P3Dv1 V4.3 Support FSElite

In a post to their Facebook page, Milviz has announced that they are dropping support for FSX and P3D versions 1-4.3.

Milviz explained that one of the reasons for this switch is the materials, and more specifically the cost of creating PBR-like materials for FSX to match the standard in v4.4.

Code is another obvious area that 32 bit holds back, with many more things able to be done in 64 bit that can’t be done in a 32-bit environment. This forces developers like Milviz to code in 2 streams, which is obviously very costly and time consuming.

And for those wondering about what this means about work-in-progress projects and theit compatibility, all that is certain for now is that the F-15C will be 4.4 exclusive as well as the ATR, which was sourced from a comment by Milviz themselves. Not much is known about others like C-130J.

As a closer of sorts, Milviz elaborates that they’d much rather go with “the nice stuff”, and they’d like to put their efforts into making their products both look and act great, something they’re already known for.

We’ll continue to keep you up to date on all things Milviz.

 
Tags : AnnouncementMilviz
John Moore

The author John Moore

I’m a lover of all things aviation, as well as a pilot IRL. Flight simming has always been a big part of my life and helped to uncover my love for military aviation and VIP transport as a whole. Long term goals include going to college to study to become an air traffic controller as well as obtaining my flight dispatcher’s license. Everything else is just icing on the cake.